Page MenuHomePhabricator

Debug mode causes different rendering of CSS in IE9
Closed, DeclinedPublic

Description

As noted in T52516 (confirmed by Matma Rex), debug mode (probably the CSS minification) causes a different rendering in IE9. This is probably because some aspect of the minification is not understood by IE9.


Version: 1.22.0
Severity: normal

Details

Reference
bz50830

Event Timeline

bzimport raised the priority of this task from to Medium.Nov 22 2014, 1:49 AM
bzimport set Reference to bz50830.
bzimport added a subscriber: Unknown Object (MLST).

Does the desired rendering happening in debug mode or in production mode? If IE has trouble parsing minified CSS, then the correct rendering would occur in debug mode, and in production mode the rendering would be broken.

Depending on which is the case, this bug is a lot more important as we'd be actively breaking certain CSS rules for IE in production. And with the upcoming plans to use source maps instead of unminified responses in debug mode, we'd be breaking debug mode, too.

matmarex updated the task description. (Show Details)Jan 5 2015, 4:00 PM
matmarex set Security to None.
matmarex removed a subscriber: Unknown Object (MLST).

Does the desired rendering happening in debug mode or in production mode?

According to T52516: Vector: IE9 renders the sidebar with extra separators, the correct rendering happens in debug mode.

("IE seems not to see this when the code is minified. However, running with "?debug=true" causes proper rendering.")

On French wikipédia, still with IE9 there is different behavior on debug mode and on normal mode.
The major problems are the edit button (in wiki mode: "Modifier") doesn't display neither the portal parts nor the categories.
It was described the 7th august on Le Bistro (the French village pump) first in this thread
https://fr.wikipedia.org/wiki/Wikip%C3%A9dia:Le_Bistro/7_ao%C3%BBt_2015#Les_portails_et_les_cat.C3.A9gories_n.27apparaissent_plus_.21

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2015, 4:27 PM

@xcombelle That might have been a different issue that we have tracked as T108727. Can you verify that it's fixed now?

Jdforrester-WMF changed the task status from Open to Stalled.Apr 6 2017, 11:11 PM
Jdforrester-WMF added a subscriber: Jdforrester-WMF.

Stalled, waiting on further input as to whether this is fixed.

Krinkle closed this task as Declined.May 4 2018, 3:20 AM

When this bug was filed, IE9 was still receiving Grade A support where it wasn't uncommon to debug in IE9.

Today, IE9 is in Grade C, and given this doesn't affect production mode, I don't think we'll spend time on getting this to work right in IE9.

Instead, we'll focus on T29025 and T85805 instead.

Restricted Application added a project: Performance-Team. · View Herald TranscriptMay 4 2018, 3:20 AM